.section-rooms-box--single {
	margin-bottom: 32px;
}

.roombox-card {
	position: relative;
	background: var(--whisper-950);
	border-radius: 12px;
	clear: both;
}

.roombox-card:not(:last-child) {
	margin-bottom: 24px;
}

.roombox-card__label {
	position: absolute;
	top: -16px;
	left: 0;
	padding: 2px 10px;
	height: 35px;
	background-color: var(--comet-400);
	color: var(--white);
	font-size: 11px;
	font-weight: 600;
	text-transform: uppercase;
	line-height: 12px;
	border-radius: 12px 12px 0 0;
	z-index: -1;
}

.roombox-card__aside {
	display: grid;
	align-items: center;
	grid-template-columns: 48px 1fr;
	grid-gap: 12px;
	color: var(--white);
	padding: 16px 12px;
}

.roombox-card__logo {
	transition: opacity ease .1s;
}

.roombox-card__logo:hover {
	opacity: .85;
}

.roombox-card__logo img {
	width: 48px;
	height: 48px;
	object-fit: cover;
	border-radius: 8px;
}

.roombox-card__name {
	color: inherit;
	font-weight: 600;
	text-decoration: underline;
	text-underline-position: under;
	transition: color ease .1s;
}

.roombox-card__name:hover {
	color: var(--azure-radiance-500);
}

.roombox-card__rating {
	margin-top: 4px;
}

.roombox-card__rating .svg-icon {
	font-size: 16px;
}

.roombox-card__rating::after {
	font-size: 16px;
	line-height: 20px;
	margin-left: 2px;
}

.roombox-card-body {
	display: grid;
	grid-gap: 12px;
}

.roombox-card__bonus {
	text-align: center;
	font-weight: 600;
	line-height: 24px;
}

.roombox-card__btns {
	display: flex;
	align-items: center;
	gap: 12px;
}

.roombox-card__btn--reviews.icon {
	order: -1;
}

.roombox-card__btn:not(.roombox-card__btn--play) {
	flex: 1 0 auto;
}

.roombox-card__btn--promocode:empty {
	display: none;
}

.roombox-card__btn--play {
	order: 1;
}

.roombox-card__btn--play:not(:empty) ~ .roombox-card__btn--promocode {
	background-color: transparent;
	color: var(--azure-radiance-500);
	box-shadow: inset 0 0 0 1px var(--whisper-300);
}

.roombox-card__btn--play:not(:empty) ~ .roombox-card__btn--promocode .button--promocode__code::before {
	color: var(--whisper-400);
}

.roombox-card__btn--play:not(:empty) ~ .roombox-card__btn--promocode:hover {
	box-shadow: inset 0 0 0 2px var(--azure-radiance-500);
}

.roombox-card__btn--play:not(:empty) ~ .roombox-card__btn--promocode:not(:empty) ~ .roombox-card__btn--reviews,
.roombox-card__btn--play:not(:empty) ~ .roombox-card__btn--promocode:not(:empty) ~ .roombox-card__btn--bonus,
.roombox-card__btn--play:not(:empty) ~ .roombox-card__btn--promocode:empty ~ .roombox-card__btn--bonus,
.roombox-card__btn--play:empty ~ .roombox-card__btn--promocode:not(:empty) ~ .roombox-card__btn--bonus {
	display: none;
}

@media (max-width: 767.98px) {
	.roombox-card__aside-body {
		display: flex;
		align-items: center;
		justify-content: space-between;
	}

	.roombox-card__rating .svg-icon:not(:first-child) {
		display: none;
	}

	.roombox-card__rating::after {
		color: var(--mustard-400);
		font-size: 18px;
	}

	.roombox-card-body {
		padding: 12px;
		background-color: var(--comet-50);
		border-radius: 12px;
	}

	.roombox-card__btn--play {
		flex: 1 0 auto;
		max-width: 115px;
	}
}

@media (min-width: 768px) {
	.section-rooms-box--single {
		margin-bottom: 24px;
	}
	
	.roombox-card {
		display: grid;
		grid-template-columns: 190px 1fr;
		grid-gap: 12px;
		padding: 24px 12px;
		background-color: var(--comet-50);
	}

	.roombox-card:not(:last-child) {
		margin-bottom: 12px;
	}

	.roombox-card__aside {
		color: inherit;
		padding: 0;
	}

	.roombox-card-body {
		align-items: center;
		grid-template-columns: 1fr 262px;
	}

	.roombox-card__btn--play {
		min-width: 100px;
	}
}